package ru.micord.ervu.audit.model;


/**
 * @author Adel Kalimullin
 */

public class AuditAuthorizationEvent extends AuditEvent {
  private String status;
  private String eventType;
  private String organizationName;
  private String firstName;
  private String lastName;
  private String middleName;
  private String inn;
  private String serverIp;
  private String serverHostName;
  private String clientIp;
  private String clientHostName;

  public AuditAuthorizationEvent(
      String esiaOrgId, String esiaPersonId, String eventTime,
      String organizationName, String firstName, String lastName,
      String middleName, String inn, String status,
      String eventType, String serverIp, String serverHostName,
      String clientIp, String clientHostName) {
    super(esiaOrgId, esiaPersonId, eventTime);
    this.status = status;
    this.eventType = eventType;
    this.organizationName = organizationName;
    this.firstName = firstName;
    this.lastName = lastName;
    this.middleName = middleName;
    this.inn = inn;
    this.serverIp = serverIp;
    this.serverHostName = serverHostName;
    this.clientIp = clientIp;
    this.clientHostName = clientHostName;
  }

  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }

  public String getEventType() {
    return eventType;
  }

  public void setEventType(String eventType) {
    this.eventType = eventType;
  }

  public String getOrganizationName() {
    return organizationName;
  }

  public void setOrganizationName(String organizationName) {
    this.organizationName = organizationName;
  }

  public String getFirstName() {
    return firstName;
  }

  public void setFirstName(String firstName) {
    this.firstName = firstName;
  }

  public String getLastName() {
    return lastName;
  }

  public void setLastName(String lastName) {
    this.lastName = lastName;
  }

  public String getMiddleName() {
    return middleName;
  }

  public void setMiddleName(String middleName) {
    this.middleName = middleName;
  }

  public String getInn() {
    return inn;
  }

  public void setInn(String inn) {
    this.inn = inn;
  }

  public String getServerIp() {
    return serverIp;
  }

  public void setServerIp(String serverIp) {
    this.serverIp = serverIp;
  }

  public String getServerHostName() {
    return serverHostName;
  }

  public void setServerHostName(String serverHostName) {
    this.serverHostName = serverHostName;
  }

  public String getClientIp() {
    return clientIp;
  }

  public void setClientIp(String clientIp) {
    this.clientIp = clientIp;
  }

  public String getClientHostName() {
    return clientHostName;
  }

  public void setClientHostName(String clientHostName) {
    this.clientHostName = clientHostName;
  }
}